Bug 451554 - any use of ejabberdctl fails
any use of ejabberdctl fails
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: ejabberd (Show other bugs)
el5
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 15:04 EDT by Peter Dominguez
Modified: 2008-07-08 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.1-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump file after entering: ejabberdctl (270.75 KB, application/octet-stream)
2008-06-15 15:26 EDT, Peter Dominguez
no flags Details

  None (edit)
Description Peter Dominguez 2008-06-15 15:04:04 EDT
Description of problem:

Any use of ejabberdctl causes a dump file to be placed in /var/log/ejabberd and
the command fails.

Version-Release number of selected component (if applicable):

ejabberd-2.0.0-1.fc9.i386

How reproducible:

just enter:  ejabberdctl live


Steps to Reproduce:
1. enter above command
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Dominguez 2008-06-15 15:26:35 EDT
Created attachment 309405 [details]
dump file after entering: ejabberdctl
Comment 2 Peter Lemenkov 2008-06-16 10:53:44 EDT
Confirmed.
I'll fix it ASAP.
Comment 3 Adam Goode 2008-06-22 00:11:48 EDT
It seems there are 2 things needed to make ejabberdctl work. The localhost stuff
is fine. (No need for cut hostname.)

The script must run as ejabberd user. This works, but is ugly:
# runuser -s /bin/sh -c "/usr/sbin/ejabberdctl status" - ejabberd 
Node ejabberd@localhost is started. Status: started
ejabberd is running

Second, HOME is wrong. Should be:
HOME=/var/lib/ejabberd
(not /usr/lib/ejabberd)
Comment 4 Adam Goode 2008-06-22 00:17:12 EDT
Oops, sorry, I meant to put this in the bugreport for ejabberd-2.0.1-2.fc9.i386.
Comment 5 Fedora Update System 2008-06-22 12:58:02 EDT
ejabberd-2.0.1-3.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-06-22 13:02:35 EDT
ejabberd-2.0.1-3.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-22 15:41:19 EDT
ejabberd-2.0.1-4.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-06-22 16:04:05 EDT
ejabberd-2.0.1-4.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-06-24 22:53:15 EDT
ejabberd-2.0.1-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5671
Comment 10 Fedora Update System 2008-07-08 22:45:55 EDT
ejabberd-2.0.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-07-08 22:54:30 EDT
ejabberd-2.0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.